mface_put_prop(3m17n)

NAME
mface_put_prop - Set a value of a face property.

SYNOPSIS
int mface_put_prop (MFace * face, MSymbol key, void * val)

DESCRIPTION
Set a value of a face property.

The mface_put_prop() function assigns val to the property whose key is key in face face. key must be one the followings:

Mforeground, Mbackground, Mvideomode, Mhline, Mbox, Mfoundry, Mfamily, Mweight, Mstyle, Mstretch, Madstyle, Msize, Mfontset, Mratio, Mhook_func, Mhook_arg

Among them, font related properties (Mfoundry through Msize) are used as the default values when a font in the fontset of face does not specify those values.

The actual type of the returned value depends of key. See documentation of the above keys.

RETURN VALUE

    If the operation was successful, mface_put_prop() returns 0. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

SEE ALSO

    mface_get_prop()

ERRORS

    MERROR_FACE

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.